import { trigger, style, transition, animate, query, state, stagger } from '@angular/animations';

export const expandAnimation = trigger('expand', [
  transition(':enter, * => 0, * => -1', []),
  state('one', style({ opacity: 0, height: 0 })),
  state('two', style({ opacity: 1, height: '*' })),
  transition('one => two', [animate(400, style({ opacity: 0, height: 0 })), animate(300, style({ opacity: 1, height: '*' }))]),
]);
